Upstream information

CVE-2010-1240 at MITRE

Description

Adobe Reader and Acrobat 9.x before 9.3.3, and 8.x before 8.2.3 on Windows and Mac OS X, do not restrict the contents of one text field in the Launch File warning dialog, which makes it easier for remote attackers to trick users into executing an arbitrary local program that was specified in a PDF document, as demonstrated by a text field that claims that the Open button will enable the user to read an encrypted message.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having critical severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 9.3
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 612064 [RESOLVED / FIXED], 629134 [RESOLVED / FIXED], 632230 [RESOLVED / DUPLICATE], 633159 [RESOLVED / DUPLICATE]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 GA
  • acroread_ja >= 9.3.4-0.1.1
sled11.x86
sled11.x86-64
SAT Patch Nr: 3004
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • acroread >= 9.3.4-0.5.1
  • acroread-cmaps >= 9.3.4-0.5.1
  • acroread-fonts-ja >= 9.3.4-0.5.1
  • acroread-fonts-ko >= 9.3.4-0.5.1
  • acroread-fonts-zh_CN >= 9.3.4-0.5.1
  • acroread-fonts-zh_TW >= 9.3.4-0.5.1
sled10-sp3.x86
sled10-sp3.x86-64
ZYPP Patch Nr: 7131
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • acroread >= 9.3.3-0.4.1
  • acroread-cmaps >= 9.3.3-0.4.1
  • acroread-fonts-ja >= 9.3.3-0.4.1
  • acroread-fonts-ko >= 9.3.3-0.4.1
  • acroread-fonts-zh_CN >= 9.3.3-0.4.1
  • acroread-fonts-zh_TW >= 9.3.3-0.4.1
sled10-sp3.x86
sled10-sp3.x86-64
ZYPP Patch Nr: 7087
SUSE Linux Enterprise Desktop 11 SP1
  • acroread >= 9.3.3-0.1.1
  • acroread-cmaps >= 9.3.3-0.1.1
  • acroread-fonts-ja >= 9.3.3-0.1.1
  • acroread-fonts-ko >= 9.3.3-0.1.1
  • acroread-fonts-zh_CN >= 9.3.3-0.1.1
  • acroread-fonts-zh_TW >= 9.3.3-0.1.1
sled11-sp1.x86-64
sled11-sp1.x86
SAT Patch Nr: 2640
SUSE Linux Enterprise Desktop 11 SP1
  • acroread_ja >= 9.3.4-0.1.1
sled11-sp1.x86
sled11-sp1.x86-64
SAT Patch Nr: 3005
SUSE Linux Enterprise Desktop 11 GA
  • acroread_ja >= 9.3.3-0.1.1
sled11.x86
sled11.x86-64
SAT Patch Nr: 2637
SUSE Linux Enterprise 11 Moblin 2.1
  • acroread >= 9.3.3-0.1.1
SAT Patch Nr: 2636
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • acroread_ja >= 9.3.3-0.4.1
sled10-sp3.x86-64
sled10-sp3.x86
ZYPP Patch Nr: 7086
SUSE Linux Enterprise Desktop 10 SP3 for AMD64 and Intel EM64T
SUSE Linux Enterprise Desktop 10 SP3 for x86
  • acroread_ja >= 9.3.4-0.4.1
sled10-sp3.x86
sled10-sp3.x86-64
ZYPP Patch Nr: 7132
SUSE Linux Enterprise Desktop 11 GA
  • acroread >= 9.3.3-0.1.1
  • acroread-cmaps >= 9.3.3-0.1.1
  • acroread-fonts-ja >= 9.3.3-0.1.1
  • acroread-fonts-ko >= 9.3.3-0.1.1
  • acroread-fonts-zh_CN >= 9.3.3-0.1.1
  • acroread-fonts-zh_TW >= 9.3.3-0.1.1
sled11.x86-64
sled11.x86
SAT Patch Nr: 2639
openSUSE 11.0
  • acroread >= 9.3.3-2.1
  • acroread-cmaps >= 9.3.3-2.1
  • acroread-fonts-ja >= 9.3.3-2.1
  • acroread-fonts-ko >= 9.3.3-2.1
  • acroread-fonts-zh_CN >= 9.3.3-2.1
  • acroread-fonts-zh_TW >= 9.3.3-2.1
openSUSE 11.1
openSUSE 11.2
  • acroread >= 9.3.3-2.1.1
  • acroread-cmaps >= 9.3.3-2.1.1
  • acroread-fonts-ja >= 9.3.3-2.1.1
  • acroread-fonts-ko >= 9.3.3-2.1.1
  • acroread-fonts-zh_CN >= 9.3.3-2.1.1
  • acroread-fonts-zh_TW >= 9.3.3-2.1.1
openSUSE 11.1
openSUSE 11.2
  • acroread >= 9.3.4-0.3.1
  • acroread-cmaps >= 9.3.4-0.3.1
  • acroread-fonts-ja >= 9.3.4-0.3.1
  • acroread-fonts-ko >= 9.3.4-0.3.1
  • acroread-fonts-zh_CN >= 9.3.4-0.3.1
  • acroread-fonts-zh_TW >= 9.3.4-0.3.1
openSUSE 11.3
  • acroread >= 9.3.4-0.2.1
SUSE Linux Enterprise Desktop 11 GA
  • acroread >= 9.3.4-0.6.1
  • acroread-cmaps >= 9.3.4-0.6.1
  • acroread-fonts-ja >= 9.3.4-0.6.1
  • acroread-fonts-ko >= 9.3.4-0.6.1
  • acroread-fonts-zh_CN >= 9.3.4-0.6.1
  • acroread-fonts-zh_TW >= 9.3.4-0.6.1
sled11.x86-64
sled11.x86
SAT Patch Nr: 3008
SUSE Linux Enterprise 11 Moblin 2.0
  • acroread-debuginfo >= 9.3.3-0.1.1
SAT Patch Nr: 2638
SUSE Linux Enterprise 11 Moblin 2.0
  • acroread >= 9.3.3-0.1.1
SAT Patch Nr: 2638
SUSE Linux Enterprise Desktop 11 SP1
  • acroread >= 9.3.4-0.6.1
  • acroread-cmaps >= 9.3.4-0.6.1
  • acroread-fonts-ja >= 9.3.4-0.6.1
  • acroread-fonts-ko >= 9.3.4-0.6.1
  • acroread-fonts-zh_CN >= 9.3.4-0.6.1
  • acroread-fonts-zh_TW >= 9.3.4-0.6.1
sled11-sp1.x86-64
sled11-sp1.x86
SAT Patch Nr: 3009
SUSE Linux Enterprise Desktop 11 SP1
  • acroread_ja >= 9.3.3-0.1.1
sled11-sp1.x86
sled11-sp1.x86-64
SAT Patch Nr: 2641
SUSE Linux Enterprise 11 Moblin 2.0
  • acroread-debuginfo >= 9.3.4-0.6.1
SAT Patch Nr: 3006
SUSE Linux Enterprise 11 Moblin 2.0
  • acroread >= 9.3.4-0.6.1
SAT Patch Nr: 3006


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 acroread Released
SUSE Linux Enterprise Desktop 11 GA acroread Released
SUSE Linux Enterprise Desktop 11 SP1 acroread Released